Last Comment Bug 739969 - Regression: Fixedpoint division in blur code was replaced to integer division
: Regression: Fixedpoint division in blur code was replaced to integer division
Status: RESOLVED FIXED
: regression
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla14
Assigned To: Joe Drew (not getting mail)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-28 06:37 PDT by Tetsuro Kato (tete)
Modified: 2012-04-02 11:05 PDT (History)
4 users (show)
ryanvm: in‑testsuite?
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
port fixed point division to blur changes (3.94 KB, patch)
2012-03-28 11:44 PDT, Joe Drew (not getting mail)
jmuizelaar: review+
Details | Diff | Review

Description Tetsuro Kato (tete) 2012-03-28 06:37:43 PDT
User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:11.0) Gecko/20100101 Firefox/11.0
Build ID: 20120312181643

Steps to reproduce:

In Bug 685767, we moved innards of gfxAlphaBoxBlur to mozilla::gfx::AlphaBoxBlur.


Actual results:

Fixedpoint division introduced by Bug 633627 was replaced to integer division by Bug 685767.


Expected results:

We should apply the patch of fixedpoint division of Bug 633627 again.
Comment 1 Joe Drew (not getting mail) 2012-03-28 11:44:27 PDT
Created attachment 610225 [details] [diff] [review]
port fixed point division to blur changes

This is just taking the patch from bug 633627 and applying it to gfx/2d/Blur.cpp.
Comment 2 Ryan VanderMeulen [:RyanVM] 2012-04-01 12:19:19 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/08deea54b324
Comment 3 Matt Brubeck (:mbrubeck) 2012-04-02 11:05:12 PDT
https://hg.mozilla.org/mozilla-central/rev/08deea54b324

Note You need to log in before you can comment on or make changes to this bug.